<template>
  <div class="Parametersettings">
    <div class="Parametersettings_l">
      <div
        style="color: rgba(0, 9, 56, 1); font-size: 1.13rem; font-weight: bold"
      >
        伸出缩回速度设置
      </div>
      <el-form
        ref="ruleFormRef"
        style="margin-top: 2.13rem"
        :model="ruleForm"
        :rules="rules"
        label-width="auto"
        class="demo-ruleForm"
        label-position="top"
        :hide-required-asterisk="true"
      >
        <el-form-item prop="extendSpeed">
          <template #label>
            <span style="color: rgba(0, 9, 56, 1); font-size: 0.88rem"
              >左PLC自动伸出缩回速度m/min：</span
            >
          </template>
          <el-input
            style="height: 1.88rem"
            placeholder="请输入"
            v-model="ruleForm.extendSpeed"
          />
        </el-form-item>
        <el-form-item prop="retractionSpeed">
          <template #label>
            <span style="color: rgba(0, 9, 56, 1); font-size: 0.88rem"
              >右PLC自动伸出缩回速度m/min：</span
            >
          </template>
          <el-input
            style="height: 1.88rem"
            placeholder="请输入"
            v-model="ruleForm.retractionSpeed"
          />
        </el-form-item>
        <el-form-item prop="manualExtend">
          <template #label>
            <span style="color: rgba(0, 9, 56, 1); font-size: 0.88rem"
              >左PLC手动伸出缩回速度m/min：</span
            >
          </template>
          <el-input
            style="height: 1.88rem"
            placeholder="请输入"
            v-model="ruleForm.manualExtend"
          />
        </el-form-item>
        <el-form-item prop="manualRetraction">
          <template #label>
            <span style="color: rgba(0, 9, 56, 1); font-size: 0.88rem"
              >右PLC手动伸出缩回速度m/min：</span
            >
          </template>
          <el-input
            style="height: 1.88rem"
            placeholder="请输入"
            v-model="ruleForm.manualRetraction"
          />
        </el-form-item>
        <el-form-item prop="leftPosition">
          <template #label>
            <span style="color: rgba(0, 9, 56, 1); font-size: 0.88rem"
              >左PLC自动伸到位：</span
            >
          </template>
          <el-input
            style="height: 1.88rem"
            placeholder="请输入"
            v-model="ruleForm.leftPosition"
          />
        </el-form-item>
        <el-form-item prop="rightPosition">
          <template #label>
            <span style="color: rgba(0, 9, 56, 1); font-size: 0.88rem"
              >右PLC自动伸到位：</span
            >
          </template>
          <el-input
            style="height: 1.88rem"
            placeholder="请输入"
            v-model="ruleForm.rightPosition"
          />
        </el-form-item>
        <el-form-item>
          <div
            style="
              width: 100%;
              display: flex;
              justify-content: center;
              margin-top: 10rem;
            "
          >
            <el-button
              style="height: 1.88rem; width: 5.63rem"
              @click="resetForm(ruleFormRef)"
              >取消</el-button
            >
            <el-button
              style="height: 1.88rem; width: 5.63rem"
              type="primary"
              @click="submitForm(ruleFormRef)"
            >
              保存
            </el-button>
          </div>
        </el-form-item>
      </el-form>
    </div>
    <!-- <div class="Parametersettings_c">
      <div
        style="color: rgba(0, 9, 56, 1); font-size: 1.13rem; font-weight: bold"
      >
        PLC信号监控
      </div>
      <div
        class="box"
        style="
          display: flex;
          justify-content: space-between;
          flex-wrap: wrap;
          padding: 0 5.25rem;
          margin-top: 3.03rem;
        "
      >
        <el-row>
          <el-col style="display: flex; justify-content: space-between">
            <div class="box_item"></div>
            <div class="box_item"></div>
            <div class="box_item"></div>
          </el-col>
          <el-col
            style="
              display: flex;
              justify-content: space-between;
              margin-top: 2.78rem;
            "
            ><div class="box_item"></div>
            <div class="box_item"></div>
            <div style="width: 6.25rem; height: 6.25rem"></div
          ></el-col>
        </el-row>
      </div>
    </div>
    <div class="Parametersettings_r">
      <div
        style="color: rgba(0, 9, 56, 1); font-size: 1.13rem; font-weight: bold"
      >
        故障处理
      </div>
      <div
        style="
          display: flex;
          flex-direction: column;
          margin-top: 4.19rem;
          align-items: center;
          justify-content: space-around;
          height: 40%;
        "
      >
        <el-button
          type="primary"
          style="
            width: 7.38rem;
            height: 2.75rem;
            background-color: rgba(230, 160, 0, 1);
            color: rgba(255, 255, 255, 1);
            font-size: 1rem;
            margin-left: 1rem;
          "
          >回原点</el-button
        >
        <el-button
          type="primary"
          style="
            width: 7.38rem;
            height: 2.75rem;
            background-color: rgba(0, 207, 55, 1);
            color: rgba(255, 255, 255, 1);
            font-size: 1rem;
          "
          >复位</el-button
        >
        <el-button
          type="primary"
          style="
            width: 7.38rem;
            height: 2.75rem;
            background-color: rgba(255, 0, 0, 1);
            color: rgba(255, 255, 255, 1);
            font-size: 1rem;
          "
          >清除故障</el-button
        >
      </div>
    </div> -->
  </div>
</template>
<script setup>
import { onMounted, ref } from "vue";
import { ElMessage } from "element-plus";
import { AddData, GetParameter } from "@/api/newapi/Parameters";
const userInfo = JSON.parse(localStorage.getItem("user"));
const ruleForm = ref({
  creater: "string",
  createDate: "2025-03-27T05:48:57.698Z",
  modifier: "string",
  modifyDate: "2025-03-27T05:48:57.698Z",
  id: 0,
  extendSpeed: 0,
  retractionSpeed: 0,
  manualExtend: 0,
  manualRetraction: 0,
  depid: userInfo.depid,
  account: userInfo.userName,
  leftPosition: 0,
  rightPosition: 0,
});
//保存
const submitForm = () => {
  console.log(ruleForm.value);

  AddData(ruleForm.value).then((res) => {
    if (res.code == 0) {
      ElMessage.success("保存成功");
    }
  });
};
//获取参数
const getParameter = () => {
  GetParameter().then((res) => {
    if (res.code == 0) {
      ruleForm.value.extendSpeed = res.data == null ? 0 : res.data.extendSpeed;
      ruleForm.value.retractionSpeed =
        res.data == null ? 0 : res.data.retractionSpeed;
      ruleForm.value.manualExtend =
        res.data == null ? 0 : res.data.manualExtend;
      ruleForm.value.manualRetraction =
        res.data == null ? 0 : res.data.manualRetraction;
      ruleForm.value.leftPosition =
        res.data == null ? 0 : res.data.leftPosition;
      ruleForm.value.rightPosition =
        res.data == null ? 0 : res.data.rightPosition;
    }
  });
};

onMounted(() => {
  getParameter();
});
</script>
<style lang="scss" scoped>
.Parametersettings {
  display: flex;
  justify-content: space-between;
  .Parametersettings_l {
    width: 100%;
    height: 100%;
    background-color: #fff;
    padding: 1.44rem 1.25rem;
  }
  .Parametersettings_c {
    width: 36%;
    height: 100%;
    background-color: #fff;
    padding: 1.44rem 1.25rem;
    .box {
      .box_item {
        width: 6.25rem;
        height: 6.25rem;
        background-color: #f1fcff;
        border-radius: 50%;
        background-color: rgba(255, 255, 255, 1);
        border: 0.06rem solid rgba(187, 187, 187, 1);
      }
    }
  }
  .Parametersettings_r {
    width: 25%;
    height: 100%;
    background-color: #fff;
    padding: 1.44rem 1.25rem;
  }
}
</style>
